<!DOCTYPE html>
<html>

<html lang="es-ar">

<head>
    <title>Socket.IO Juego</title>
</head>

<body style="margin: 4rem;">
    <div id="datosJugador">
        <form id="form" action="">
            <label id="labelNombre">Nombre</label>
            <input id="inputNombre" autocomplete="off" />
            <select id="equipo">
                <option value="Sumar">Suma</option>
                <option value="Restar">Resta</option>
            </select>
            <button>Jugar</button>
        </form>
    </div>
    <div id="boton"></div>
    <h1 id="numero"></h1>
    <div id="jugadores">
        <p>Equipo Suma</p>
        <ul id="listaJugadoresSuma"></ul>
        <p>Equipo Resta</p>
        <ul id="listaJugadoresResta"></ul>
    </div>
    <script src="/socket.io/socket.io.js"></script>
    <script>
        var socket = io();

        document.getElementById('form').addEventListener('submit', function (e) {
            const inputNombre = document.getElementById('inputNombre');
            const equipo = document.getElementById('equipo');
            e.preventDefault();
            if (inputNombre.value) {
                socket.emit('nombre', inputNombre.value, equipo.value);
                document.getElementById('datosJugador').remove();
                crearBoton(equipo.value);
            }
        });

        function crearBoton(operacion) {
            const button = document.createElement('button');
            button.type = 'button';
            button.innerText = operacion;
            button.addEventListener('click', function (e) {
                socket.emit(operacion.toLowerCase());
            });
            document.getElementById('boton').appendChild(button);
        }

        socket.on('numero', numero => document.getElementById('numero').textContent = numero);
        socket.on('listaJugadores', jugadores => crearListaDeJugadores(jugadores));

        function crearListaDeJugadores(jugadores) {
            const jugadoresContainer = document.getElementById('jugadores');
            const ulSuma = document.createElement("ul");
            ulSuma.setAttribute("id", "listaJugadoresSuma");
            const ulResta = document.createElement("ul");
            ulResta.setAttribute("id", "listaJugadoresResta");
            jugadores.forEach(({ nombre, equipo }) => {
                const li1 = document.createElement("li");
                li1.textContent = nombre
                if (equipo === 'Sumar') {
                    ulSuma.appendChild(li1);
                }
                if (equipo === 'Restar') {
                    ulResta.appendChild(li1);
                }
            });
            jugadoresContainer.replaceChild(ulSuma, document.getElementById('listaJugadoresSuma'))
            jugadoresContainer.replaceChild(ulResta, document.getElementById('listaJugadoresResta'))
        }
    </script>
</body>

</html>